﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Documents.Reports.Report;
using Infragistics.Documents.Reports.Report.Section;
using Infragistics.Documents.Reports.Report.Text;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = GetDataSource();
        WebDataGrid2.DataSource = GetDataSource();

    }

    public DataTable GetDataSource()
    {
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "Number";
        column.AutoIncrement = false;
        column.Caption = "Number";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table. 
        table.Columns.Add(column);

        // Create third column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.DateTime");
        column.ColumnName = "Date";
        column.AutoIncrement = false;
        column.Caption = "Date ";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;



        for (int i = 99990; i <= 100000; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["Number"] = i;
            row["Date"] = DateTime.Now;
            table.Rows.Add(row);
        }
        return table;
    }
    public void btnExport_Click(object sender, EventArgs e)
    {
        Report pdfReport = new Report();
        ISection section = pdfReport.AddSection();
        WebControl[] grids = { WebDataGrid1, WebDataGrid2 };
        
        WebDocumentExporter.Export(pdfReport, section, grids);
    }

    protected void WebDocumentExporter_DocumentRowExported(object sender, Infragistics.Web.UI.GridControls.DocumentGridRowExportedEventArgs e)
    {
        e.ContainingGrid.Margins.Bottom = 15;
    }
}